/***************************************************************************
Copyright (c) 2019, Mateusz Panuś

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 ***************************************************************************/
#include <avr/io.h>
#include "icon.h"

const __flash uint8_t ICON_SLOWER[] = {
    0x00, 0x10, 0x28, 0x44, 0x92, 0x28, 0x44, 0x92, 0x28, 0x44, 0x82, 0x00
};

const __flash uint8_t ICON_FASTER[] = {
    0x00, 0x82, 0x44, 0x28, 0x92, 0x44, 0x28, 0x92, 0x44, 0x28, 0x10, 0x00
};

const __flash uint8_t ICON_HOLD_RUN[] = {
    0x00, 0x00, 0xfe, 0xfe, 0x00, 0xfe, 0xfe, 0xfe, 0x7c, 0x38, 0x10, 0x00
};

const __flash uint8_t ICON_TIMER[] = {
    0x00, 0x00, 0x00, 0x82, 0xc6, 0xaa, 0x92, 0xaa, 0xc6, 0x82, 0x00, 0x00
};

const __flash uint8_t ICON_CLEAR[] = {
    0x00, 0xfe, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0xfe
};

const __flash uint8_t ICON_SCALE[] = {
    0x00, 0x00, 0x00, 0x00, 0x80, 0x00, 0xe0, 0x00, 0xf8, 0x00, 0xfe, 0x00
};

const __flash uint8_t ICON_LOCK[] = {
    0x00, 0x00, 0x00, 0x00, 0xfc, 0xf2, 0xf2, 0x92, 0xf2, 0xf2, 0xfc, 0x00
};

const __flash uint8_t ICON_SETTINGS[] = {
    0x1c, 0xf6, 0x1c, 0x00, 0x70, 0xde, 0x70, 0x00, 0x38, 0xee, 0x38, 0x00
};

const __flash uint8_t ICON_INPUT[] = {
    0xfe, 0x82, 0xc2, 0xc2, 0xe2, 0xe2, 0xf2, 0xf2, 0xfa, 0xfa, 0xfe, 0x00
};

const __flash uint8_t ICON_INFO[] = {
    0xfe, 0x82, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0xba, 0x82, 0xfe, 0x00
};

const __flash uint8_t ICON_DISPLAY[] = {
    0xfe, 0x82, 0xaa, 0xa2, 0xaa, 0xa2, 0xaa, 0xa2, 0xaa, 0x82, 0xfe, 0x00
};

const __flash uint8_t ICON_START_STOP[] = {
    0x10, 0x28, 0x44, 0x82, 0x00, 0x00, 0x00, 0x82, 0x44, 0x28, 0x10, 0x00
};

const __flash uint8_t ICON_ACK_NACK[] = {
    0x10, 0x10, 0x7c, 0x10, 0x10, 0x00, 0x00, 0x10, 0x10, 0x10, 0x10, 0x10
};
